<%
function testFile(folderPath)
	dim writePermission
	dim fs, f, filePath

	writePermission = true
	set fs = Server.createObject("Scripting.FileSystemObject")
	filePath = folderPath&"\test_123456.tmp"
	on error resume next
	set f = fs.createTextFile(filePath, true)
	if err.number <> 0 then
		writePermission = false
	end if
	if writePermission then
		on error resume next
		f.writeLine("test")
		if err.number <> 0 then
			writePermission = false
		end if
	end if
	if writePermission then
		on error resume next
		f.close
		set f = nothing
		if err.number <> 0 then
			writePermission = false
		end if
	end if
	if writePermission then
		on error resume next
		fs.deleteFile(filePath)
		if err.number <> 0 then
			writePermission = false
		end if
	end if
	set fs = nothing
	testFile = writePermission

end function
'-------------------------------------------------------------------------
sub testFolder(folder, folderName)
	dim fs, f
	dim folderPath, subFolderName
	dim existFolder, writePermission
	dim existFolderStr, existFolderCol
	dim writePermissionStr, writePermissionCol
	dim spacer
	
	spacer = "&nbsp;&nbsp;&nbsp;&nbsp;"
	folderPath = pathApp() & folder
	set fs = Server.createObject("Scripting.FileSystemObject")
	if not fs.folderExists(folderPath) then
		existFolder = false
		writePermission = false
	else
		existFolder = true
		writePermission = true
	end if
	if writePermission then
		subFolderName = "TEST_" & Day(Now()) & Hour(Now) & Minute(Now()) & Second(Now)
		folderPath = pathApp() & folder & "\" &subFolderName
		if fs.folderExists(folderPath) then
			writePermission = false
		end if
	end if
	if writePermission then
		on error resume next
		fs.CreateFolder(folderPath)
		if err.number <> 0 then
			writePermission = false
		end if
	end if
	if writePermission then
		writePermission = testFile(folderPath)
	end if
	if writePermission then
		on error resume next
		fs.DeleteFolder(folderPath)
		if err.number <> 0 then
			writePermission = false
		end if
	end if
	if writePermission then
		folderPath = pathApp() & folder
		writePermission = testFile(folderPath)
	end if
	set fs = nothing
	
	folderPath = pathApp() & folder
	if existFolder then
		existFolderStr = folderName&" folder exist - OK"
		existFolderCol = colorTrue
	else
		existFolderStr = folderName&" folder exist - NOT OK"
		existFolderCol = colorFalse
	end if
	if writePermission then
		writePermissionStr = "Writing in "&folderName&" - OK"
		writePermissionCol = colorTrue
	else
		writePermissionStr = "Writing in "&folderName&" - NOT OK"
		writePermissionCol = colorFalse
	end if %>
	<tr class=c1>
		<td width="30%"><div id="normalText"><b><%= folderName %> folder</b></div></td>
		<td colspan="2"><div id="normalText"><font color="<%= existFolderCol %>"><b><%= existFolderStr %></b></font></div></td>
		<td>&nbsp;</td>
	</tr>	
	<tr class=c2>
		<td width="30%"><div id="normalText"><b><%= spacer %>Writing permission</b></div></td>
		<td><div id="normalText"><font color="<%= writePermissionCol %>"><b><%= writePermissionStr %></b></font></div></td>
		<% if existFolder then %>
			<td align="right"><a href="JavaScript:diagsDetail('<%= replace(folder, "\", "\\") %>', '<%= folderName %>');">View more details</a></td>
		<% else %>
			<td>&nbsp;</td>
		<% end if %>
		<td>&nbsp;</td>
	</tr>	
<% end sub

'-------------------------------------------------------------------------
sub testFileDetail(folderPath, createFile, writeLine, closeFile, deleteFile)
	dim fs, f, filePath
	
	set fs = Server.createObject("Scripting.FileSystemObject")
	filePath = folderPath&"\test_123456.tmp"
	on error resume next
	set f = fs.createTextFile(filePath, true)
	if err.number <> 0 then
		createFile = false
	else
		createFile = true
	end if
	if createFile then
		on error resume next
		f.writeLine("test")
		if err.number <> 0 then
			writeLine = false
		else
			writeLine = true
		end if
	end if
	if createFile then
		on error resume next
		f.close
		set f = nothing
		if err.number <> 0 then
			closeFile = false
		else
			closeFile = true
		end if
	end if
	if createFile then
		on error resume next
		fs.deleteFile(filePath)
		if err.number <> 0 then
			deleteFile = false
		else
			deleteFile = true
		end if
	end if
	set fs = nothing
end sub
'-------------------------------------------------------------------------
sub testFolderDetail(folder, folderName)
	dim fs
	dim folderPath, subFolderName

	dim existFolder, existFolderStr, existFolderCol
	dim existSubFolder
	dim createSubFolder, createSubFolderStr, createSubFolderCol
	dim deleteSubFolder, deleteSubFolderStr, deleteSubFolderCol
	dim createFile, createFileStr, createFileCol
	dim writeLine, writeLineStr, writeLineCol
	dim closeFile, closeFileStr, closeFileCol
	dim deleteFile, deleteFileStr, deleteFileCol

	dim spacer
	
	spacer = "&nbsp;&nbsp;&nbsp;&nbsp;"
	folderPath = pathApp() & folder
	
	createFile = false
	writeLine = false
	closeFile = false
	deleteFile = false

	set fs = Server.createObject("Scripting.FileSystemObject")
	if not fs.folderExists(folderPath) then
		existFolder = false
	else
		existFolder = true
	end if
	if existFolder then
		call testFileDetail(folderPath, createFile, writeLine, closeFile, deleteFile)
	end if

	if existFolder then
		existFolderStr = folderName&" folder exist - OK"
		existFolderCol = colorTrue
	else
		existFolderStr = folderName&" folder exist - NOT OK"
		existFolderCol = colorFalse
	end if
	if createFile then
		createFileStr = "Create test file in "&folderName&" - OK"
		createFileCol = colorTrue
	else
		createFileStr = "Create test file in "&folderName&" - NOT OK"
		createFileCol = colorFalse
	end if
	if writeLine then
		writeLineStr = "Write line in test file in "&folderName&" - OK"
		writeLineCol = colorTrue
	else
		writeLineStr = "Write line in test file in "&folderName&" - NOT OK"
		writeLineCol = colorFalse
	end if
	if closeFile then
		closeFileStr = "Close test file in "&folderName&" - OK"
		closeFileCol = colorTrue
	else
		closeFileStr = "Close test file in "&folderName&" - NOT OK"
		closeFileCol = colorFalse
	end if
	if deleteFile then
		deleteFileStr = "Delete test file in "&folderName&" - OK"
		deleteFileCol = colorTrue
	else
		deleteFileStr = "Delete test file in "&folderName&" - NOT OK"
		deleteFileCol = colorFalse
	end if %>
	<tr class=c1>
		<td width="30%"><div id="normalText"><b><%= folderName %> folder</b></div></td>
		<td><div id="normalText"><font color="<%= existFolderCol %>"><b><%= existFolderStr %></b></font></div></td>
		<td>&nbsp;</td>
	</tr>	
	<tr class=c2>
		<td width="30%"><div id="normalText"><b><%= spacer %>Create file</b></div></td>
		<td><div id="normalText"><font color="<%= createFileCol %>"><b><%= createFileStr %></b></font></div></td>
		<td>&nbsp;</td>
	</tr>
	<tr class=c1>
		<td width="30%"><div id="normalText"><b><%= spacer %>Write in file</b></div></td>
		<td><div id="normalText"><font color="<%= writeLineCol %>"><b><%= writeLineStr %></b></font></div></td>
		<td>&nbsp;</td>
	</tr>
	<tr class=c2>
		<td width="30%"><div id="normalText"><b><%= spacer %>Close file</b></div></td>
		<td><div id="normalText"><font color="<%= closeFileCol %>"><b><%= closeFileStr %></b></font></div></td>
		<td>&nbsp;</td>
	</tr>
	<tr class=c1>
		<td width="30%"><div id="normalText"><b><%= spacer %>Delete file</b></div></td>
		<td><div id="normalText"><font color="<%= deleteFileCol %>"><b><%= deleteFileStr %></b></font></div></td>
		<td>&nbsp;</td>
	</tr>
	<%
	existSubFolder = false
	createSubFolder = false
	deleteSubFolder = false
	createFile = false
	writeLine = false
	closeFile = false
	deleteFile = false
	subFolderName = "TEST_" & Day(Now()) & Hour(Now) & Minute(Now()) & Second(Now)
	folderPath = pathApp() & folder & "\" &subFolderName
	if existFolder then
		if fs.folderExists(folderPath) then
			existSubFolder = true
		end if
	end if
	if not existSubFolder then
		on error resume next
		fs.CreateFolder(folderPath)
		if err.number = 0 then
			createSubFolder = true
		end if
		if createSubFolder then
			call testFileDetail(folderPath, createFile, writeLine, closeFile, deleteFile)
		end if
		on error resume next
		fs.deleteFolder(folderPath)
		if err.number = 0 then
			deleteSubFolder = true
		end if
	end if

	if createSubFolder then
		createSubFolderStr = "Create test Subfolder in "&folderName&" - OK"
		createSubFolderCol = colorTrue
	else
		createSubFolderStr = "Create test Subfolder in "&folderName&" - NOT OK"
		createSubFolderCol = colorFalse
	end if
	if createFile then
		createFileStr = "Create test file in Subfolder - OK"
		createFileCol = colorTrue
	else
		createFileStr = "Create test file in Subfolder - NOT OK"
		createFileCol = colorFalse
	end if
	if writeLine then
		writeLineStr = "Write line in test file in Subfolder - OK"
		writeLineCol = colorTrue
	else
		writeLineStr = "Write line in test file in Subfolder - NOT OK"
		writeLineCol = colorFalse
	end if
	if closeFile then
		closeFileStr = "Close test file in Subfolder - OK"
		closeFileCol = colorTrue
	else
		closeFileStr = "Close test file in Subfolder - NOT OK"
		closeFileCol = colorFalse
	end if
	if deleteFile then
		deleteFileStr = "Delete test file in Subfolder - OK"
		deleteFileCol = colorTrue
	else
		deleteFileStr = "Delete test file in Subfolder - NOT OK"
		deleteFileCol = colorFalse
	end if
	if deleteSubFolder then
		deleteSubFolderStr = "Delete test Subfolder in "&folderName&" - OK"
		deleteSubFolderCol = colorTrue
	else
		deleteSubFolderStr = "Delete test Subfolder in "&folderName&" - NOT OK"
		deleteSubFolderCol = colorFalse
	end if %>
	<tr class=c2>
		<td width="30%"><div id="normalText"><b><%= spacer %>Create Subfolder</b></div></td>
		<td><div id="normalText"><font color="<%= createSubFolderCol %>"><b><%= createSubFolderStr %></b></font></div></td>
		<td>&nbsp;</td>
	</tr>
	<tr class=c1>
		<td width="30%"><div id="normalText"><b><%= spacer %>Delete Subfolder</b></div></td>
		<td><div id="normalText"><font color="<%= deleteSubFolderCol %>"><b><%= deleteSubFolderStr %></b></font></div></td>
		<td>&nbsp;</td>
	</tr>
	<tr class=c2>
		<td width="30%"><div id="normalText"><b><%= spacer %>Create file in Subfolder</b></div></td>
		<td><div id="normalText"><font color="<%= createFileCol %>"><b><%= createFileStr %></b></font></div></td>
		<td>&nbsp;</td>
	</tr>
	<tr class=c1>
		<td width="30%"><div id="normalText"><b><%= spacer %>Write in file in Subfolder</b></div></td>
		<td><div id="normalText"><font color="<%= writeLineCol %>"><b><%= writeLineStr %></b></font></div></td>
		<td>&nbsp;</td>
	</tr>
	<tr class=c2>
		<td width="30%"><div id="normalText"><b><%= spacer %>Close file in Subfolder</b></div></td>
		<td><div id="normalText"><font color="<%= closeFileCol %>"><b><%= closeFileStr %></b></font></div></td>
		<td>&nbsp;</td>
	</tr>
	<tr class=c1>
		<td width="30%"><div id="normalText"><b><%= spacer %>Delete file in Subfolder</b></div></td>
		<td><div id="normalText"><font color="<%= deleteFileCol %>"><b><%= deleteFileStr %></b></font></div></td>
		<td>&nbsp;</td>
	</tr>
	<% set fs = nothing
end sub
'---------------------------------------------------------------------------
sub checkStoreFolder(folderPath, folderName, classColor)

	dim fs
	dim folderStr, folderCol
	
	set fs = Server.createObject("Scripting.FileSystemObject")
	if fs.folderExists(folderPath) then
		folderStr = folderName &" exist - OK"
		folderCol = colorTrue
	else
		folderStr = folderName &" exist - NOT OK"
		folderCol = colorFalse
	end if
	set fs = nothing %>
	<tr <%= classColor %>>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td><div id="normalText"><font color="<%= folderCol %>"><b><%= folderStr %></b></font></div></td>
		<td>&nbsp;</td>
	</tr>

<% end sub

%>