<!--#include file="settings.asp"-->
<!--#include file="subs/designSettings.asp"-->
<!--#include file="design/start.asp"-->
<!--#include file="subs/utilFunctions.asp"-->
<!--#include file="subs/utilShipping.asp"-->

<!--#include file="subs/permissions.asp"-->
<!--#include file="language/language.asp"-->

<%
'---------------------------------------------------------------------
if session("goLogin")<>"no" then
	set storeConn = nothing
	response.redirect "default.asp"
end if
'---------------------------------------------------------------------
call shippingPermissions()
if SHIPPING_MODULE = MODULE_NOT_AVAILABLE then
	set storeConn = nothing
	session("errMessage") = You_have_no_permission_to_use_this_module_CONST
	response.redirect "error.asp"
end if
'---------------------------------------------------------------------
if SHIPPING_MODULE = MODULE_READING then
	set storeConn = nothing
	response.redirect "shippingList.asp"
end if
'---------------------------------------------------------------------
if not MASTER_VERSION then
	set storeConn = nothing
	response.redirect "shippingList.asp"
end if
'---------------------------------------------------------------------

dim shippingMethod, serverAddress

dim listShippingMethods, listShippingPrices, listShippingCurrencies 'the variables where the method will be keept
dim shippingMethodName, shippingPrice, shippingCurrency, count
dim testResult, errShipping

dim zipFrom, countryFrom, cityFrom, regionFrom, zipTo, countryTo, cityTo, regionTo
dim originAddress, destinationAddress
dim weight, unitMeasure

dim upsLicenceNumber, upsUserID, upsPassword, upsPickupType, upsServiceCode, upsPackageType
dim uspsUserID, uspsPassword
dim fedexAccountNumber, fedexMeterNumber, fedexCarrierCode, fedexDropoffType, fedexService, fedexPackaging

shippingMethod = trim(request.form("shippingMethod"))
if not testUrl(shippingMethod, errMessage) then
	set storeConn = nothing
	session("errMessage") = errMessage
	response.redirect "error.asp"
end if
shippingMethod = cint(shippingMethod)
countryFrom = trim(request.form("countryFrom"))
zipFrom = trim(request.form("zipFrom"))
cityFrom = trim(request.form("cityFrom"))
regionFrom = trim(request.form("regionFrom"))
countryTo = trim(request.form("countryTo"))
zipTo = trim(request.form("zipTo"))
cityTo = trim(request.form("cityTo"))
regionTo = trim(request.form("regionTo"))
weight = trim(request.form("weight"))
if not getNumber(weight, weight) then
	set storeConn = nothing
	session("errMessage") = "Please enter a numerical weight!"
	response.redirect "error.asp"
end if
unitMeasure = trim(request.form("unitMeasure"))
if unitMeasure = "other" then
	unitMeasure = trim(request.form("unitMeasureOther"))
end if
serverAddress = trim(request.form("serverAddress"))

'shippingMethod = 2

select case shippingMethod
case 0 'UPS
	upsLicenceNumber = trim(request.form("upsLicenceNumber"))
	upsUserID = trim(request.form("upsUserID"))
	upsPassword = trim(request.form("upsPassword"))
	upsPickupType = trim(request.form("upsPickupType"))
	upsServiceCode = trim(request.form("upsServiceCode"))
	upsPackageType = trim(request.form("upsPackageType"))
	testResult = calculateUps(serverAddress, upsLicenceNumber, upsUserID, upsPassword, upsPickupType, upsPackageType, zipFrom, countryFrom, cityFrom, zipTo, countryTo, cityTo, weight, unitMeasure, errShipping)
	if testResult then
		shippingMethodName = split(listShippingMethods, ",")
		shippingPrice = split(listShippingPrices, "}")
		shippingCurrency = split(listShippingCurrencies, "}")
		if ubound(shippingMethodName) <> ubound(shippingPrice) or ubound(shippingMethodName) <> ubound(shippingCurrency) or ubound(shippingPrice) <> ubound(shippingCurrency) then
			testResult = false
			errShipping = "Unexpected errors occurs when parsing the result from UPS Server !"
		end if
	end if
	call startWindow ("Results of test for UPS Method","100%", false)
case 1 'USPS
	uspsUserID = trim(request.form("uspsUserID"))
	uspsPassword = trim(request.form("uspsPassword"))
	testResult = calculateUsps(serverAddress, uspsUserID, uspsPassword, zipFrom, countryFrom, zipTo, countryTo, weight, errShipping)
	if testResult then
		shippingMethodName = split(listShippingMethods, ",")
		shippingPrice = split(listShippingPrices, "}")
		if ubound(shippingMethodName) <> ubound(shippingPrice) then
			testResult = false
			errShipping = "Unexpected errors occurs when parsing the result from USPS Server !"
		end if
	end if
	call startWindow ("Results of test for USPS Method","100%", false)
case 2 'DHL
	testResult = false
	errMessage = "DHL Method is not available"
	call startWindow ("DHL Method is not available","100%", false)
case 3 'FeDex
	fedexAccountNumber = trim(request.form("fedexAccountNumber"))
	fedexMeterNumber = trim(request.form("fedexMeterNumber"))
	fedexService = trim(request.form("fedexService"))
	fedexService = replace(fedexService, " ", "")
	fedexDropoffType = trim(request.form("fedexDropoffType"))
	fedexPackaging = trim(request.form("fedexPackaging"))
	fedexCarrierCode = trim(request.form("fedexCarrierCode"))
	testResult = calculateFeDex(serverAddress, fedexAccountNumber, fedexMeterNumber, fedexCarrierCode, fedexDropoffType, fedexService, fedexPackaging, zipFrom, countryFrom, regionFrom, zipTo, countryTo, regionTo, weight, unitMeasure, errShipping)
	if testResult then
		shippingMethodName = split(listShippingMethods, ",")
		shippingPrice = split(listShippingPrices, "}")
		if ubound(shippingMethodName) <> ubound(shippingPrice) then
			testResult = false
			errShipping = "Unexpected errors occurs when parsing the result from FeDex Server !"
		end if
	end if
	call startWindow ("Results of test for FeDex Method","100%", false)
end select

originAddress = countryFrom
if regionFrom <> "" then
	originAddress = originAddress & ", "&regionFrom
end if
if zipFrom <> "" then
	originAddress = originAddress & ", "&zipFrom
end if
if cityFrom <> "" then
	originAddress = originAddress & ", "&cityFrom
end if
destinationAddress = countryTo
if regionTo <> "" then
	destinationAddress = destinationAddress & ", "&regionTo
end if
if zipTo <> "" then
	destinationAddress = destinationAddress & ", "&zipTo
end if
if cityTo <> "" then
	destinationAddress = destinationAddress & ", "&cityTo
end if
%>

<table border ="0" width="100%" cellspacing="1" cellpadding="1">
<% if not testResult then %>
<tr>
	<td colspan="2"><div id="normalText"><img src="design/images/error.gif" border="0"><font color="red"><b>An error has occured</b></font></div></td>
</tr>
<tr>
	<td colspan="2"><div id="normalText"><font color="red"><b><%= errShipping %></b></font></div></td>
</tr>
<tr>
	<td colspan="2"><br></td>
</tr>
<% 
else
	if shippingMethod = 3 and errShipping <> "" then ' FeDex %>
	<tr>
		<td colspan="2"><div id="normalText"><img src="design/images/error.gif" border="0"><font color="red"><b>Warning - Some selected methods are not available !</b></font></div></td>
	</tr>
	<tr>
		<td colspan="2"><div id="normalText"><font color="red"><b><%= errShipping %></b></font></div></td>
	</tr>
	<tr>
		<td colspan="2"><br></td>
	</tr>
	<% end if
end if %>
<tr>
	<td width="1%" nowrap><div id="normalText"><b>Origin:</b></div></td>
	<td width="99%"><div id="normalText"><%= originAddress %></div></td>
</tr>
<tr>
	<td width="1%" nowrap><div id="normalText"><b>Destination:</b></div></td>
	<td width="99%"><div id="normalText"><%= destinationAddress %></div></td>
</tr>
<tr>
	<td width="1%" nowrap><div id="normalText"><b>Weight:</b></div></td>
	<td width="99%"><div id="normalText"><%= weight &" "& unitMeasure %></div></td>
</tr>
<% if testResult then %>
<tr>
	<td colspan="2"><br></td>
</tr>
<tr>
	<td colspan="2">
		<table class="table2" border="0" width="100%" cellspacing="0" cellpadding="3">
		<tr class="cell1">
			<td><div id="normalText"><b>Service type</b></div></td>
			<td><div id="normalText"><b>Price</b></div></td>
			<td align="right"><img src="design/images/tD.gif" width="23" height="23"></td>
		</tr>
		<% 
		dim temp, classColor
		temp = 0
		for count = 0 to ubound(shippingMethodName)
			temp = temp + 1
			if temp mod 2 = 1 then 
				classColor = "class=c1"
			else
				classColor = "class=c2"
			end if 
			if shippingMethod = 0 then %>
				<tr <%= classColor %>>
					<td><div id="normalText"><%= shippingMethodName(count) %></div></td>
					<td><div id="normalText"><%= shippingCurrency(count) &" "& shippingPrice(count) %></div></td>
					<td>&nbsp;</td>
				</tr>
			<% elseif shippingMethod = 1 then %>
				<tr <%= classColor %>>
					<td><div id="normalText"><%= shippingMethodName(count) %></div></td>
					<td><div id="normalText"><%= "USD "&shippingPrice(count) %></div></td>
					<td>&nbsp;</td>
				</tr>
			<% elseif shippingMethod = 3 then %>
				<tr <%= classColor %>>
					<td><div id="normalText"><%= shippingMethodName(count) %></div></td>
					<td><div id="normalText"><%= "USD "&shippingPrice(count) %></div></td>
					<td>&nbsp;</td>
				</tr>
			<% end if
		next %>
		</table>
	</td>
</tr>
<% end if %>
<tr>
	<td colspan="2"><br></td>
</tr>
<tr>
	<td colspan="2"><input type="button" class="b1" value="Back to test page" onClick="JavaScript:document.location='shippingTest.asp';"></td>
</tr>
</table>

<%
set storeConn = nothing
call endWindow() %>
<!--#include file="design/end.asp"-->

